com.verisign.epp.framework

## Class EPPNameVerificationHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPNameVerificationHandler

- All Implemented Interfaces:
    EPPEventHandler
  Direct Known Subclasses:
    NameVerificationHandler

      public abstract class EPPNameVerificationHandler
      extends java.lang.Object
      implements EPPEventHandler

  The `EPPDomainVerificationCodeHandler` class provides an interface for handling Domain Verification Code Commands in a Server implementation. EPPEvents are handled by the handleEvent() method here and routed to the appropriate abstract member function. Subclasses should override the abstract methods to define the desired behavior of a particular command when it is received. A subclassed instance of `EPPDomainVerificationCodeHandler` should be registered with the `EPPDispatcher` so that EPPEvents related to the Registry Mapping will be handled there.
  See Also:
    `EPPEventHandler`, `EPPEvent`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameVerificationHandler()` Whenever an EPPDomainVerificationCodeHandler instance is created load the corresponding Map Factory into the Codec

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract EPPEventResponse` | `doNameVerificationCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when the Name Verification Check command is received.
    `protected abstract EPPEventResponse` | `doNameVerificationCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when an Name Verification Create command is received.
    `protected abstract EPPEventResponse` | `doNameVerificationInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when the Name Verification Info command is received.
    `protected abstract EPPEventResponse` | `doNameVerificationUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when the Name Verification Update command is received.
    `java.lang.String` | `getNamespace()` Gets the XML Namespace for the Mapping.
    `EPPEventResponse` | `handleEvent(EPPEvent aEvent, java.lang.Object aData)` This method receives an `EPPEvent` and routes it to the appropriate abstract method.
    `protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all registry commands need to execute after they execute their command specific behavior.
    `protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all registry commands need to execute before they execute their command specific behavior.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPNameVerificationHandler

          public EPPNameVerificationHandler()

      Whenever an EPPDomainVerificationCodeHandler instance is created load the corresponding Map Factory into the Codec

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the XML Namespace for the Mapping.
      Specified by:
        `getNamespace` in interface `EPPEventHandler`
      Returns:
        `EPPDomainVerificationCodeMapFactory.NS`

    - #### handleEvent

          public EPPEventResponse handleEvent(EPPEvent aEvent,
                                              java.lang.Object aData)
                                       throws EPPEventException

      This method receives an `EPPEvent` and routes it to the appropriate abstract method.
      Specified by:
        `handleEvent` in interface `EPPEventHandler`
      Parameters:
        `aEvent` - An `EPPEvent` that contains the `EPPCommand`
        `aData` - Any data that a Server needs to send to this `EPPDomainVerificationCodeHandler` instance
      Returns:
        Response to the event
      Throws:
        `EPPEventException` - Thrown if an unrecognized `EPPEvent` is received

    - #### doNameVerificationCheck

          protected abstract EPPEventResponse doNameVerificationCheck(EPPEvent aEvent,
                                                                      java.lang.Object aData)

      Invoked when the Name Verification Check command is received. Subclasses should define the behavior when a Name Verification Check command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameVerificationHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameVerificationInfo

          protected abstract EPPEventResponse doNameVerificationInfo(EPPEvent aEvent,
                                                                     java.lang.Object aData)

      Invoked when the Name Verification Info command is received. Subclasses should define the behavior when a Name Verification Info command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameVerificationHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameVerificationCreate

          protected abstract EPPEventResponse doNameVerificationCreate(EPPEvent aEvent,
                                                                       java.lang.Object aData)

      Invoked when an Name Verification Create command is received. Subclasses should define the behavior when Name Verification Create command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameVerificationHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doNameVerificationUpdate

          protected abstract EPPEventResponse doNameVerificationUpdate(EPPEvent aEvent,
                                                                       java.lang.Object aData)

      Invoked when the Name Verification Update command is received. Subclasses should define the behavior when a Name Verification Update command is received.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPNameVerificationHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### preHandleEvent

          protected void preHandleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Handles any common behavior that all registry commands need to execute before they execute their command specific behavior. The default implementation does nothing.
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainVerificationCodeHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### postHandleEvent

          protected void postHandleEvent(EPPEvent aEvent,
                                         java.lang.Object aData)
                                  throws EPPHandleEventException

      Handles any common behavior that all registry commands need to execute after they execute their command specific behavior. The default implementation does nothing
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainVerificationCodeHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`